PublicService

Full documentation for this service is available at /documentation/public-service.

GetSearchResultAdvancedXml |WebMethod|

Search for items with advanced parameters, using an XML string. SOAP clients are encouraged to use the GetSearchResultAdvanced method instead.

Parameters
  1. queryXml, XML data containing parameters for the query. XML format: <pre> &lt;Query&gt; &lt;SearchWords&gt;string&lt;/SearchWords&gt; &lt;CategoryId&gt;int&lt;/CategoryId&gt; &lt;SearchInDescription&gt;bool&lt;/SearchInDescription&gt; &lt;Mode&gt;int or string&lt;/Mode&gt; &lt;PriceMinimum&gt;int&lt;/PriceMinimum&gt; &lt;PriceMaximum&gt;int&lt;/PriceMaximum&gt; &lt;BidsMinimum&gt;int&lt;/BidsMinimum&gt; &lt;BidsMaximum&gt;int&lt;/BidsMaximum&gt; &lt;ZipCode&gt;string&lt;/ZipCode&gt; &lt;CountyId&gt;int&lt;/CountyId&gt; &lt;Alias&gt;string&lt;/Alias&gt; &lt;OrderBy&gt;int or string&lt;/OrderBy&gt; &lt;ItemStatus&gt;int or string&lt;/ItemStatus&gt; &lt;ItemType&gt;int or string&lt;/ItemType&gt; &lt;OnlyAuctionsWithBuyNow&gt;bool&lt;/OnlyAuctionsWithBuyNow&gt; &lt;OnlyItemsWithThumbnail&gt;bool&lt;/OnlyItemsWithThumbnail&gt; &lt;ItemsPerPage&gt;int&lt;/ItemsPerPage&gt; &lt;PageNumber&gt;int&lt;/PageNumber&gt; &lt;/Query&gt; </pre> See the Query class for a description of the parameters.
Returns

Filled SearchResult object

SOAP 1.1

The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/PublicService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: text/xml; charset=utf-8
SOAPAction: "http://api.tradera.com/GetSearchResultAdvancedXml"
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetSearchResultAdvancedXml xmlns="http://api.tradera.com">
      <queryXml>queryXml</queryXml>
    </GetSearchResultAdvancedXml>
  </soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
  <soap:Body>
    <GetSearchResultAdvancedXmlResponse xmlns="http://api.tradera.com">
      <GetSearchResultAdvancedXmlResult>Filled SearchResult object</GetSearchResultAdvancedXmlResult>
    </GetSearchResultAdvancedXmlResponse>
  </soap:Body>
</soap:Envelope>

SOAP 1.2

The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.

POST /v3/PublicService.asmx HTTP/1.1
Host: api.tradera.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetSearchResultAdvancedXml xmlns="http://api.tradera.com">
      <queryXml>queryXml</queryXml>
    </GetSearchResultAdvancedXml>
  </soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
  <soap12:Body>
    <GetSearchResultAdvancedXmlResponse xmlns="http://api.tradera.com">
      <GetSearchResultAdvancedXmlResult>Filled SearchResult object</GetSearchResultAdvancedXmlResult>
    </GetSearchResultAdvancedXmlResponse>
  </soap12:Body>
</soap12:Envelope>

HTTP GET

The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.

GET /v3/PublicService.asmx/GetSearchResultAdvancedXml?appId=string&appKey=string&queryXml=string HTTP/1.1
Host: api.tradera.com
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetSearchResultAdvancedXmlResult xmlns="http://api.tradera.com">Filled SearchResult object</GetSearchResultAdvancedXmlResult>

HTTP POST

The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.

POST /v3/PublicService.asmx/GetSearchResultAdvancedXml HTTP/1.1
Host: api.tradera.com
Content-Type: application/x-www-form-urlencoded
Content-Length: length

appId=string&appKey=string&queryXml=string
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<GetSearchResultAdvancedXmlResult xmlns="http://api.tradera.com">Filled SearchResult object</GetSearchResultAdvancedXmlResult>